Page MenuHomeVyOS Platform

Changing "system name-server" doesn't update dns forwarding config, neither does "restart dns forwarding"
Closed, ResolvedPublicBUG

Description

Deleting old system name-server IPs and adding new ones doesn't actually update the IPs in /etc/powerdns/recursor.conf when using system nameservers.

Steps to reproduce:

configure
set service dns forwarding system
commit
delete system name-server
set system name-server <new ip>
commit
cat /etc/powerdns/recursor.conf (still shows old name-server IPs)
run restart dns forwarding
cat /etc/powerdns/recursor.conf (still shows old name-server IPs)

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202002161109
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

jjakob triaged this task as Normal priority.Feb 19 2020, 6:37 PM
jjakob created this task.
jjakob created this object in space S1 VyOS Public.
syncer changed the task status from Open to Needs testing.Mar 16 2020, 12:33 AM
syncer assigned this task to Viacheslav.
syncer changed the subtype of this task from "Task" to "Bug".

Still present in 1.3-20200319

just note. our fw is using own dns forwarder for resolv, because the internal ip reverse addresses are redirected to local dns server.
so plase handle this situation too.

jjakob changed the task status from Needs testing to In progress.Jun 10 2020, 8:08 PM
jjakob claimed this task.
jjakob moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
jjakob added a subscriber: Viacheslav.
jjakob moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.

Fixed as part of T2486